@echo off
cls
echo         This is the batch setup file for
echo _____________________________________________________
echo LA GUERRA - The Colombian Civil War 1974-2002 v. 1.00
echo *****************************************************
echo            by Insurgent and The ANZAC
echo.
echo Please choose human civ:
echo.
echo 1. The Colombian Government (Colombians)
echo 2. The Revolutionary Armed Forces of Colombia (FARC)
echo 3. The Autodefensa (Fuerzas de Autodefensa)
echo X. Exit
echo.
choice /c:123X Enter your selection

if errorlevel 4 goto done
if errorlevel 3 goto para
if errorlevel 2 goto farc
if errorlevel 1 goto gov

:Gov
echo _______________________________________________
echo.
echo You chose The Colombian Government (Colombians)
echo.
echo Remember that to operate this scenario's 
echo events files correctly at stages 2 and 3, 
echo the saved game must be called "COLOMBIA.SAV"
echo.
echo Please choose the stage you are presently at:
echo.
echo 1. Part 1: REVOLUTIONS AND COUNTER-INSURGENCIES, 1974-81
echo 2. Part 2: DRUGLORDS AND COUNTER-NARCOTICS, 1981-89
echo 3. Part 3: DESPERATE REVOLUTIONARIES, 1989-1993
echo 4. Part 4: FROM PEACE TO ESCALATION, 1994-2002
echo X. Exit
echo.
choice /c:1234X Enter your selection

if errorlevel 5 goto done
if errorlevel 4 goto gov4
if errorlevel 3 goto gov3
if errorlevel 2 goto gov2
if errorlevel 1 goto gov1

:gov1
echo.
echo Setting up scenario files...
echo.
copy events1gov.txt events.txt
copy Gov LaGuerra.scn
copy Gov.txt LaGuerra.txt
copy rulesgov.txt rules.txt
echo.
goto done

:gov2
echo.
echo Setting up scenario files...
echo.
copy events2gov.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulesgov.txt rules.txt
echo.
goto done

:gov3
echo.
echo Setting up scenario files...
echo.
copy events3gov.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulesgov.txt rules.txt
echo.
goto done

:gov4
echo.
echo Setting up scenario files...
echo.
copy events4gov.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulesgov.txt rules.txt
echo.
goto done

:Farc
echo ___________________________________________________________
echo.
echo You chose The Revolutionary Armed Forces of Colombia (FARC)
echo.
echo Remember that to operate this scenario's 
echo events files correctly at stages 2 and 3, 
echo the saved game must be called "COLOMBIA.SAV"
echo.
echo Please choose the stage you are presently at:
echo.
echo 1. Part 1: REVOLUTIONS AND COUNTER-INSURGENCIES, 1974-81
echo 2. Part 2: DRUGLORDS AND COUNTER-NARCOTICS, 1981-89
echo 3. Part 3: DESPERATE REVOLUTIONARIES, 1989-1993
echo 4. Part 4: FROM PEACE TO ESCALATION, 1994-2002
echo X. Exit
echo.
choice /c:1234X Enter your selection

if errorlevel 5 goto done
if errorlevel 4 goto farc4
if errorlevel 3 goto farc3
if errorlevel 2 goto farc2
if errorlevel 1 goto farc1

:farc1
echo.
echo Setting up scenario files...
echo.
copy events1farc.txt events.txt
copy Farc LaGuerra.scn
copy Gov.txt LaGuerra.txt
copy rulesfarc.txt rules.txt
echo.
goto done

:farc2
echo.
echo Setting up scenario files...
echo.
copy events2farc.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulesfarc.txt rules.txt
echo.
goto done

:farc3
echo.
echo Setting up scenario files...
echo.
copy events3farc.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulesfarc.txt rules.txt
echo.
goto done

:farc4
echo.
echo Setting up scenario files...
echo.
copy events4farc.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulesfarc.txt rules.txt
echo.
goto done

:Para
echo __________________________________________________
echo.
echo You chose The Autodefensa (Fuerzas de Autodefensa)
echo.
echo Remember that to operate this scenario's 
echo events files correctly at stages 2 and 3, 
echo the saved game must be called "COLOMBIA.SAV"
echo.
echo Please choose the stage you are presently at:
echo.
echo 1. Part 1: REVOLUTIONS AND COUNTER-INSURGENCIES, 1974-81
echo 2. Part 2: DRUGLORDS AND COUNTER-NARCOTICS, 1981-89
echo 3. Part 3: DESPERATE REVOLUTIONARIES, 1989-1993
echo 4. Part 4: FROM PEACE TO ESCALATION, 1994-2002
echo X. Exit
echo.
choice /c:1234X Enter your selection

if errorlevel 5 goto done
if errorlevel 4 goto para4
if errorlevel 3 goto para3
if errorlevel 2 goto para2
if errorlevel 1 goto para1

:para1
echo.
echo Setting up scenario files...
echo.
copy events1para.txt events.txt
copy Para LaGuerra.scn
copy Para.txt LaGuerra.txt
copy rulespara.txt rules.txt
echo.
goto done

:para2
echo.
echo Setting up scenario files...
echo.
copy events2para.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulespara.txt rules.txt
echo.
goto done

:para3
echo.
echo Setting up scenario files...
echo.
copy events3para.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulespara.txt rules.txt
echo.
goto done

:para4
echo.
echo Setting up scenario files...
echo.
copy events4para.txt events.txt
DELEVENT colombia.sav
DELEVENT columbia.sav
copy rulespara.txt rules.txt
echo.
goto done

:done
exit
quit